Skip to content
Start here

List abuse reports

abuse_reports.list(AbuseReportListParams**kwargs) -> SyncV4PagePagination[Optional[AbuseReportListResponse]]
GET/accounts/{account_id}/abuse-reports

List the abuse reports for a given account

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Trust and Safety WriteTrust and Safety Read
ParametersExpand Collapse
account_id: str
maxLength32
created_after: Optional[str]

Returns reports created after the specified date

created_before: Optional[str]

Returns reports created before the specified date

domain: Optional[str]

Filter by domain name related to the abuse report

mitigation_status: Optional[Literal["pending", "active", "in_review", 2 more]]

Filter reports that have any mitigations in the given status.

One of the following:
"pending"
"active"
"in_review"
"cancelled"
"removed"
page: Optional[int]

Where in pagination to start listing abuse reports

per_page: Optional[int]

How many abuse reports per page to list

sort: Optional[str]

A property to sort by, followed by the order (id, cdate, domain, type, status)

status: Optional[Literal["accepted", "in_review"]]

Filter by the status of the report.

One of the following:
"accepted"
"in_review"
type: Optional[Literal["PHISH", "GEN", "THREAT", 6 more]]

Filter by the type of the report.

One of the following:
"PHISH"
"GEN"
"THREAT"
"DMCA"
"EMER"
"TM"
"REG_WHO"
"NCSEI"
"NETWORK"
ReturnsExpand Collapse
class AbuseReportListResponse:
reports: List[Report]
id: str

Public facing ID of abuse report, aka abuse_rand.

cdate: str

Creation date of report. Time in RFC 3339 format (https://www.rfc-editor.org/rfc/rfc3339.html)

domain: str

Domain that relates to the report.

mitigation_summary: ReportMitigationSummary

A summary of the mitigations related to this report.

accepted_url_count: int

How many of the reported URLs were confirmed as abusive.

active_count: int

How many mitigations are active.

external_host_notified: bool

Whether the report has been forwarded to an external hosting provider.

in_review_count: int

How many mitigations are under review.

pending_count: int

How many mitigations are pending their effective date.

status: Literal["accepted", "in_review"]

An enum value that represents the status of an abuse record

One of the following:
"accepted"
"in_review"
type: Literal["PHISH", "GEN", "THREAT", 6 more]

The abuse report type

One of the following:
"PHISH"
"GEN"
"THREAT"
"DMCA"
"EMER"
"TM"
"REG_WHO"
"NCSEI"
"NETWORK"
justification: Optional[str]

Justification for the report.

original_work: Optional[str]

Original work / Targeted brand in the alleged abuse.

submitter: Optional[ReportSubmitter]

Information about the submitter of the report.

company: Optional[str]
email: Optional[str]
name: Optional[str]
telephone: Optional[str]
urls: Optional[List[str]]

List abuse reports

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.abuse_reports.list(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result.items[0]
print(page.reports)
{
  "success": true,
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "reports": [
      {
        "id": "id",
        "cdate": "2009-11-10T23:00:00Z",
        "domain": "domain",
        "mitigation_summary": {
          "accepted_url_count": 0,
          "active_count": 0,
          "external_host_notified": true,
          "in_review_count": 0,
          "pending_count": 0
        },
        "status": "accepted",
        "type": "PHISH",
        "justification": "justification",
        "original_work": "original_work",
        "submitter": {
          "company": "company",
          "email": "email",
          "name": "name",
          "telephone": "telephone"
        },
        "urls": [
          "string"
        ]
      }
    ]
  },
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  }
}
Returns Examples
{
  "success": true,
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "reports": [
      {
        "id": "id",
        "cdate": "2009-11-10T23:00:00Z",
        "domain": "domain",
        "mitigation_summary": {
          "accepted_url_count": 0,
          "active_count": 0,
          "external_host_notified": true,
          "in_review_count": 0,
          "pending_count": 0
        },
        "status": "accepted",
        "type": "PHISH",
        "justification": "justification",
        "original_work": "original_work",
        "submitter": {
          "company": "company",
          "email": "email",
          "name": "name",
          "telephone": "telephone"
        },
        "urls": [
          "string"
        ]
      }
    ]
  },
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  }
}